Author Topic: Ancestris won't start - Doesn't see Java  (Read 47 times)

0 Members and 1 Guest are viewing this topic.

Offline Kdoyon18

  • VIP
  • Newbie
  • *
  • Posts: 2
    • View Profile
Ancestris won't start - Doesn't see Java
« on: January 24, 2023, 04:17:40 »
I installed Ancestris on my mac, but I get this error when trying to run it:

Ancestris launch alert !

JAVA is missing or not found. Ancestris requires JAVA.

Please install JAVA version 8, 11 or 17. Feel free to follow the Ancestris instructions in the online documentation https://docs.ancestris.org.


I checked, and I am running Java 8

Any ideas?

Ken


Offline Zurga

  • VIP
  • Supernatural Member
  • *
  • Posts: 2 887
    • View Profile
Re : Ancestris won't start - Doesn't see Java
« Reply #1 on: January 24, 2023, 06:59:26 »
Try to manually define where Java is installed.
Follow the documentation : https://docs.ancestris.org/books/user-guide/page/step-by-step-installation-on-macos#bkmrk-basic-principles%3A

Zurga

Offline Kdoyon18

  • VIP
  • Newbie
  • *
  • Posts: 2
    • View Profile
Re: Ancestris won't start - Doesn't see Java
« Reply #2 on: January 25, 2023, 16:27:11 »
Thanks for your help. It turned out that I was missing a JDK. I added that and it still did not work. Finally, I figured out that I had chosen Java 19 JDK which Ancestris does not support. So I added Java 17 JDK. Still did not work. Finally figured out I had to remove JDK 19 so Ancestris could see 17. That did the trick!

I know there were other ways to get Ancestris to default to JDK 17, but since I did not need JDK 19 anyway, I just removed it.

Now to start learning Ancestris!

Offline Zurga

  • VIP
  • Supernatural Member
  • *
  • Posts: 2 887
    • View Profile
Re : Ancestris won't start - Doesn't see Java
« Reply #3 on: January 25, 2023, 16:57:32 »
Thank you for your feedback.

Zurga